<bugID>924415<Summary>Find out why setting chromemargin to 0,-1,-1,-1 is so expensive for TART on UX branch on OS X.</Summary><Description>Last night, I pushed some patches to try, measuring some tweaks to see what (if anything) about our tabs on OS X could be related to the TART regression.

I found that if I removed Cocoa from the list of widget backends that CAN_DRAW_IN_TITLEBAR, *the regression went down sharply*.

Here's my evidence...

m-c Baseline: https://tbpl.mozilla.org/?tree=Try&amp;rev=7150cb170352
UX Baseline: https://tbpl.mozilla.org/?tree=Try&amp;rev=363f0ff307d5
No CAN_DRAW_IN_TITLEBAR: https://tbpl.mozilla.org/?tree=Try&amp;rev=fbf27c6d492c

Here's a comparison between m-c and UX to get us all familiar with the current regression: http://compare-talos.mattn.ca/?oldRevs=7150cb170352&amp;newRev=363f0ff307d5&amp;server=graphs.mozilla.org&amp;submit=true

And here's a comparison between m-c and the patch that disables CAN_DRAW_IN_TITLEBAR: http://compare-talos.mattn.ca/?oldRevs=7150cb170352&amp;newRev=fbf27c6d492c&amp;server=graphs.mozilla.org&amp;submit=true

It's not perfect, but it's certainly quite a bit better.

So I want to explore what is expensive about CAN_DRAW_IN_TITLEBAR, and see what we can do about it.</Description></bugID>